package entité;

import java.awt.image.BufferedImage;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
@Entity
@NamedQuery(name="toutes", query="SELECT photo FROM Photo AS photo")
public class Photo implements Serializable {
    @Id
    private String id;
    @Temporal(TemporalType.TIMESTAMP)
    private Date instant;
    private int largeur;
    private int hauteur;
    private long poids;

    public String getId() { return id; }
    public int getHauteur() { return hauteur;  }
    public Date getInstant() { return instant;  }
    public int getLargeur() { return largeur;  }
    public long getPoids() { return poids;  }

    public void setHauteur(int hauteur) { this.hauteur = hauteur;   }
    public void setId(String id) {  this.id = id;   }
    public void setInstant(Date instant) {  this.instant = instant;  }
    public void setLargeur(int largeur) { this.largeur = largeur;  }
    public void setPoids(long poids) {  this.poids = poids;  }

    public Photo() { }

    public Photo(String nom, long poids) {
        id = nom;
        instant = new Date();
        this.poids = poids;
    }

    public void setDimensions(BufferedImage image) {
        largeur = image.getWidth();
        hauteur = image.getHeight();
    }
}